{% extends "easy_pdf/base.html" %}


{% block extra_style %}
    <style type="text/css">
        @page {
            margin: 1cm;
        }
    </style>
{% endblock %}

{% block content %}
    {% if context.noStaffCourse %}
        <div style="padding-top: 2em;">
            <div align="center">
                <span style="font-size: 30px;font-stretch: semi-expanded;font-weight: bold; color: red">Page Error!</span><br>
            </div>
        </div>
    {% elif context.noPermission %}
        <div style="padding-top: 2em;">
            <div align="center">
                <span style="font-size: 30px;font-stretch: semi-expanded;font-weight: bold; color: red">Access Denied</span><br>
            </div>
        </div>
    {% else %}
        <div style="padding-top: 1em;">
            <div align="center" style="line-height: 20px">
                <span style="font-size: 2em;font-stretch: semi-expanded;font-weight: bold">GOVERNMENT COLLEGE OF TECHNOLOGY, COIMBATORE - 641013</span><br>
                <span style="font-size: 2em;font-stretch: semi-expanded;font-weight: bold">Department of {{ context.staffCourseInstance.department }}</span><br>
                {#                <span style="font-size: 1.5em;font-stretch: semi-expanded">Regulations 2016(CBCS)</span><br>#}
                <span style="font-size: 1.5em;font-stretch: semi-expanded;text-decoration: underline;font-weight: bold">QUIZ {{ context.unitTestNumber }} QUESTIONS</span><br>
                <span style="font-size: 1.5em;font-stretch: semi-expanded">{{ context.staffCourseInstance.course }}</span><br>
            </div>
            <div><br></div>
            <div style="border: dashed;line-height: 20px;padding-left: 2em">
            </div>
        </div>
        <div><br></div>
        {% for question in context.quizQuestionList %}
            <table style="padding-top: 30%;table-layout: fixed;font-size: x-large">
                <tr>
                    <td style="width: 5%; font-weight: bolder">
                        {{ question.questionNumber }}.
                    </td>
                    <td style="font-weight: bolder; width: 95%; word-wrap: break-word">{{ question.question }}</td>
                </tr>
                {% if question.option1 or question.option1 == '' %}
                    <tr>
                        <td>a.</td>
                        <td style="width: 95%; word-wrap: break-word">
                            {{ question.option1 }}
                        </td>
                    </tr>
                {% endif %}
                {% if question.option2 or question.option2 == '' %}
                    <tr>
                        <td>b.</td>
                        <td style="width: 95%; word-wrap: break-word">{{ question.option2 }}</td>
                    </tr>
                {% endif %}
                {% if question.option3 or question.option3 == '' %}
                    <tr>
                        <td>c.</td>
                        <td style="width: 95%; word-wrap: break-word">{{ question.option3 }}</td>
                    </tr>
                {% endif %}
                {% if question.option4 or question.option4 == '' %}
                    <tr>
                        <td>d.</td>
                        <td style="width: 95%; word-wrap: break-word">{{ question.option4 }}</td>
                    </tr>
                {% endif %}
                {% if question.option5 or question.option5 == '' %}
                    <tr>
                        <td>e.</td>
                        <td style="width: 95%; word-wrap: break-word">{{ question.option5 }}</td>
                    </tr>
                {% endif %}
            </table>
            <br>
        {% endfor %}
    {% endif %}
{% endblock %}